﻿Public Class GenreViewModel
    Inherits Infrastructure.ViewModelBase

    Private _modelObject As Model.Genres
    Friend Event IsSelectedChanged()

    Public Sub New()
        _modelObject = New Model.Genres()
    End Sub
    Public Sub New(genreModel As Model.Genres)
        _modelObject = genreModel
    End Sub


    Public Property Genre As String
        Get
            Return _modelObject.Genre
        End Get
        Set
            _modelObject.Genre = Value
            RaisePropertyChanged()
        End Set
    End Property

    Private _isSelected As Boolean = True
    Public Property IsSelected() As Boolean
        Get
            Return _isSelected
        End Get
        Set(ByVal value As Boolean)
            _isSelected = value
            RaisePropertyChanged()
            RaiseEvent IsSelectedChanged()
        End Set
    End Property

End Class
