﻿Class MainWindow
    Public ErmittelteFarben As IEnumerable(Of ColorInfo) = From [property] In GetType(Colors).GetProperties() Order By [property].Name Select New ColorInfo([property].Name, CType([property].GetValue(Nothing, Nothing), Color))

    Private Sub Window_Loaded(sender As Object, e As RoutedEventArgs)
        lstColors.ItemsSource = ErmittelteFarben
        Resources("VordergrundfarbeBrush") = New SolidColorBrush(Colors.Aquamarine)
        Resources("Vordergrundfarbe") = Colors.Aquamarine
        Resources("ButtonHighlightFarbe") = New SolidColorBrush(Colors.Aquamarine)
    End Sub

    Private Sub LstColors_SelectionChanged(sender As Object, e As SelectionChangedEventArgs)
        Resources("VordergrundfarbeBrush") = New SolidColorBrush(CType(ColorConverter.ConvertFromString(ErmittelteFarben(lstColors.SelectedIndex).ColorName), Color))
        Resources("Vordergrundfarbe") = CType(ColorConverter.ConvertFromString(ErmittelteFarben(lstColors.SelectedIndex).ColorName), Color)
        Resources("ButtonHighlightFarbe") = New SolidColorBrush(CType(ColorConverter.ConvertFromString(ErmittelteFarben(lstColors.SelectedIndex).ColorName), Color))
    End Sub
End Class
